commit:     628f1b4d2239902de4362831447396e639e47e9e
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 18 12:13:03 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Mar 18 14:44:03 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=628f1b4d

media-plugins/kipi-plugins: 5.5.0 version bump

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 media-plugins/kipi-plugins/Manifest                |  1 +
 .../kipi-plugins/kipi-plugins-5.5.0.ebuild         | 83 ++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/media-plugins/kipi-plugins/Manifest 
b/media-plugins/kipi-plugins/Manifest
index 322cdeeabde..aa72b433e7d 100644
--- a/media-plugins/kipi-plugins/Manifest
+++ b/media-plugins/kipi-plugins/Manifest
@@ -1 +1,2 @@
 DIST digikam-5.3.0.tar.xz 121417224 SHA256 
b36cfa27278936d41ab5f33c99fe9ccdfd545eada3e1e32efe9f9e3fdf2c3e5c SHA512 
6190944d09badec6ddac194f2029e86d0ef658e08a6a120f04c86109dc2b9d9cd2e772a900d09781b563fcd0caaff186fb5fd6cde9744ce3b4e8dcc9ff29d421
 WHIRLPOOL 
c1c0987e23587356968484d936a0a99f10d6e6ce004ffe1f5eb4d0a42b59fc1e84ec4a03f491c91c93be172ab6b78444c684221fb515e1562cc76bcc61346158
+DIST digikam-5.5.0.tar.xz 129499600 SHA256 
df9cbf1b8dbfb9235cebc97e77c02fcb1498c5a905c7fd3b9fb42fd7accc6252 SHA512 
3c64774916d4804d932009ba3753d387ecf31e9e3d435c580497d3badb6cc3e57ab5ef1a2334a23379d0987d96dd107be4f01adbb63039f4510aa94ac6d71344
 WHIRLPOOL 
e67b444975ad37e939b2f62bba949bcafb41eee2975470daa02e4ffdd62c6c792b6656edf4811daead52fdc1bf064951fbec7b687192e5d5ee542d5d706140be

diff --git a/media-plugins/kipi-plugins/kipi-plugins-5.5.0.ebuild 
b/media-plugins/kipi-plugins/kipi-plugins-5.5.0.ebuild
new file mode 100644
index 00000000000..5bcd38bc4ad
--- /dev/null
+++ b/media-plugins/kipi-plugins/kipi-plugins-5.5.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_TEST="true"
+inherit kde5
+
+DESCRIPTION="Plugins for the KDE Image Plugin Interface"
+HOMEPAGE="https://www.digikam.org/";
+
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~x86"
+IUSE="flashexport mediawiki +remotestorage vkontakte"
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+       MY_PV="${PV/_/-}"
+       MY_P="digikam-${MY_PV}"
+
+       if [[ ${PV} =~ beta[0-9]$ ]]; then
+               SRC_BRANCH="unstable"
+       else
+               SRC_BRANCH="stable"
+       fi
+
+       SRC_URI="mirror://kde/${SRC_BRANCH}/digikam/${MY_P}.tar.xz"
+
+       S="${WORKDIR}/${MY_P}/extra/${PN}"
+fi
+
+COMMON_DEPEND="
+       $(add_frameworks_dep kcompletion)
+       $(add_frameworks_dep kconfig)
+       $(add_frameworks_dep kconfigwidgets)
+       $(add_frameworks_dep kcoreaddons)
+       $(add_frameworks_dep ki18n)
+       $(add_frameworks_dep kwindowsystem)
+       $(add_frameworks_dep kxmlgui)
+       $(add_kdeapps_dep libkipi '' '' '5=')
+       $(add_qt_dep qtgui)
+       $(add_qt_dep qtnetwork)
+       $(add_qt_dep qtprintsupport)
+       $(add_qt_dep qtsvg)
+       $(add_qt_dep qtwidgets)
+       $(add_qt_dep qtxml)
+       $(add_qt_dep qtxmlpatterns)
+       flashexport? ( $(add_frameworks_dep karchive) )
+       mediawiki? ( net-libs/libmediawiki:5 )
+       remotestorage? ( $(add_frameworks_dep kio) )
+       vkontakte? ( net-libs/libkvkontakte:5 )
+"
+DEPEND="${COMMON_DEPEND}
+       $(add_qt_dep qtconcurrent)
+       sys-devel/gettext
+"
+RDEPEND="${COMMON_DEPEND}
+       !media-plugins/kipi-plugins:4
+"
+
+src_prepare() {
+       if [[ ${KDE_BUILD_TYPE} = release ]]; then
+               if [[ ${SRC_BRANCH} = stable ]]; then
+                       # prepare the translations
+                       mv "${WORKDIR}/${MY_P}/po" po || die
+                       find po -name "*.po" -and -not -name "kipiplugin*.po" 
-delete || die
+                       echo "find_package(Gettext REQUIRED)" >> CMakeLists.txt 
|| die
+                       echo "add_subdirectory( po )" >> CMakeLists.txt || die
+               fi
+       fi
+
+       kde5_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               $(cmake-utils_use_find_package flashexport KF5Archive)
+               $(cmake-utils_use_find_package mediawiki KF5MediaWiki)
+               -DENABLE_KIO=$(usex remotestorage)
+               $(cmake-utils_use_find_package vkontakte KF5Vkontakte)
+       )
+
+       kde5_src_configure
+}

Reply via email to